Main Page | Modules | Namespace List | Class Hierarchy | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# RakVoiceFactory Class Reference
[RakVoice Subsystem The RakVoice Subsytem]

Create RakVoice object. More...

`#include <RakVoiceFactory.h>`

List of all members.

## Static Public Member Functions
static RakVoiceInterface * | GetRakVoiceInterface (void)
static void | DestroyRakVoiceInterface (RakVoiceInterface *i)

## Detailed Description

Create RakVoice object.

Use this class to get access to the voice system.

## Member Function Documentation

void RakVoiceFactory::DestroyRakVoiceInterface | ( | RakVoiceInterface * | i | ) | `[static]`

  | Destroys an instance of the network server; Parameters:
  | i | the interface to destroy

RakVoiceInterface * RakVoiceFactory::GetRakVoiceInterface | ( | void |  | ) | `[static]`

| Returns a new instance of the RakVoiceInterface. Pass which port you want the socket to use Returns: a new instance of the RakVoiceInterface

The documentation for this class was generated from the following files:

- Projects/raknet/include/rakvoice/RakVoiceFactory.h
- Projects/raknet/Source/RakVoice/RakVoiceFactory.cpp